=== debian/control ===
Source: ros-iron-pendulum-control
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-launch <!nocheck>, ros-iron-launch-testing <!nocheck>, ros-iron-launch-testing-ament-cmake <!nocheck>, ros-iron-launch-testing-ros <!nocheck>, ros-iron-pendulum-msgs, ros-iron-rclcpp, ros-iron-rmw-implementation-cmake <!nocheck>, ros-iron-ros2run <!nocheck>, ros-iron-rttest, ros-iron-tlsf-cpp, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-pendulum-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-pendulum-msgs, ros-iron-rclcpp, ros-iron-rttest, ros-iron-tlsf-cpp, ros-iron-ros-workspace
Description: Demonstrates ROS 2's realtime capabilities with a simulated inverted pendulum.
